Bug 1299393 - more information on destinationCaCertificate
more information on destinationCaCertificate
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Ashley Hardin
Vikram Goyal
Vikram Goyal
Depends On:
  Show dependency treegraph
Reported: 2016-01-18 04:32 EST by Jaspreet Kaur
Modified: 2016-02-15 11:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-15 11:24:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jaspreet Kaur 2016-01-18 04:32:29 EST
Document URL: 

Section Number and Name: 3.7.7. Secured Routes  Re-encryption Termination 

Describe the issue: The document mentions that "destinationCaCertificate field optionally specifies a CA certificate to validate the endpoint certificate, securing the connection from the router to the destination." that means it is optional while the CLI mentions that is required value :

The Route "hawkular-metrics" is invalid.
tls.destinationCACertificate: required value

Also, the doc " https://docs.openshift.com/enterprise/3.1/rest_api/openshift_v1.html#v1-tlsconfig " mentions 

Required is false. The option should be provide, not must be provide.

Suggestions for improvement: Please clarify this in the documentation that it is required field. 

Additional information:
Comment 2 Johnny Liu 2016-02-05 22:19:13 EST
Verified this bug with PR#1465, and PASS.

Note You need to log in before you can comment on or make changes to this bug.